<?php

  $yoga_center_theme_custom_setting_css = '';

    // Global Color
    $yoga_center_first_theme_color = get_theme_mod('yoga_center_first_theme_color', '#6CC44D');
    $yoga_center_second_theme_color = get_theme_mod('yoga_center_second_theme_color', '#1B1E1A');

    $yoga_center_theme_custom_setting_css .=':root {';
        $yoga_center_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($yoga_center_first_theme_color ).'!important;';
        $yoga_center_theme_custom_setting_css .='--secondary-theme-color: '.esc_attr($yoga_center_second_theme_color ).'!important;';
    $yoga_center_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$yoga_center_scroll_alignment = get_theme_mod('yoga_center_scroll_alignment', 'right');

    if($yoga_center_scroll_alignment == 'right'){
        $yoga_center_theme_custom_setting_css .='.scroll-up{';
            $yoga_center_theme_custom_setting_css .='right: 30px;!important;';
			$yoga_center_theme_custom_setting_css .='left: auto;!important;';
        $yoga_center_theme_custom_setting_css .='}';
    }else if($yoga_center_scroll_alignment == 'center'){
        $yoga_center_theme_custom_setting_css .='.scroll-up{';
            $yoga_center_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $yoga_center_theme_custom_setting_css .='}';
    }else if($yoga_center_scroll_alignment == 'left'){
        $yoga_center_theme_custom_setting_css .='.scroll-up{';
            $yoga_center_theme_custom_setting_css .='left: 30px;!important;';
			$yoga_center_theme_custom_setting_css .='right: auto;!important;';
        $yoga_center_theme_custom_setting_css .='}';
    }

    // Woocommerce Sale Position
    $yoga_center_sale_badge_position = get_theme_mod( 'yoga_center_sale_badge_position','right');
    if($yoga_center_sale_badge_position == 'left'){
        $yoga_center_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $yoga_center_theme_custom_setting_css .='left: 10px; right: auto;';
        $yoga_center_theme_custom_setting_css .='}';
    }else if($yoga_center_sale_badge_position == 'right'){
        $yoga_center_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $yoga_center_theme_custom_setting_css .='left: auto; right: 10px;';
        $yoga_center_theme_custom_setting_css .='}';
    }

    // Featured Image Hover Effect
    $yoga_center_show_featured = get_theme_mod('yoga_center_featured_image_hide_show', 1);
    $yoga_center_hover_effect = get_theme_mod('yoga_center_single_post_featured_image_hover','none');

    if ( $yoga_center_show_featured && $yoga_center_hover_effect !== 'none' ) {

    $yoga_center_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $yoga_center_hover_effect === 'zoom-in' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $yoga_center_hover_effect === 'zoom-out' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $yoga_center_hover_effect === 'grayscale' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $yoga_center_hover_effect === 'sepia' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $yoga_center_hover_effect === 'blur' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $yoga_center_hover_effect === 'bright' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $yoga_center_hover_effect === 'translate' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $yoga_center_hover_effect === 'scale' ) {
        $yoga_center_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $yoga_center_show_featured = get_theme_mod('yoga_center_featured_image_hide_show', 1);
    $yoga_center_hover_effect = get_theme_mod('yoga_center_product_featured_image_hover','none');

    if ( $yoga_center_show_featured && $yoga_center_hover_effect !== 'none' ) {

    $yoga_center_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $yoga_center_hover_effect === 'zoom-in' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $yoga_center_hover_effect === 'zoom-out' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $yoga_center_hover_effect === 'grayscale' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $yoga_center_hover_effect === 'sepia' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $yoga_center_hover_effect === 'blur' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $yoga_center_hover_effect === 'bright' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $yoga_center_hover_effect === 'translate' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $yoga_center_hover_effect === 'scale' ) {
        $yoga_center_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   